de.esprit.appsuite.appstore.ndf

## Class NativePathEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.appstore.ndf.NativePathEntry

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class NativePathEntry
      extends TransferableObject

  This class describes a native library path element
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativePathEntry(OsFamily osFamily, OsType osType, OsArchitecture osArch, java.lang.String relativePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OsArchitecture` | `getOsArch()`
    `OsFamily` | `getOsFamily()`
    `OsType` | `getOsType()`
    `java.lang.String` | `getPathEntry()`
    `boolean` | `isCompatible(OsPlatform neededPlatform)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NativePathEntry

          public NativePathEntry(OsFamily osFamily,
                         OsType osType,
                         OsArchitecture osArch,
                         java.lang.String relativePath)

  - ### Method Detail

    - #### getPathEntry

          public java.lang.String getPathEntry()

    - #### getOsFamily

          public OsFamily getOsFamily()

    - #### getOsType

          public OsType getOsType()

    - #### getOsArch

          public OsArchitecture getOsArch()

    - #### isCompatible

          public boolean isCompatible(OsPlatform neededPlatform)

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.